//  strxlat.cpp
//  Container Lite (CL v 1.89)
//  (C) Copyright John Webster Small 1995
//  All rights reserved
//  For demo: CC -DSTRXLAT_DEMO strxlat cl

#include <ctype.h>
#include "strxlat.h"

unsigned StrXlat::ridx;

int StrXlat::cmp2KeyStrs
    (const char * S1, const char * S2)
{
    for (ridx = 0; S1[ridx] && S2[ridx]; ridx++)
        if (S1[ridx] != S2[ridx])
            break;
        else if (isspace(S1[ridx]))
            // keys match
            return 0;
    if (!S1[ridx] && S2[ridx] == ' ')
        return 0;
    return S1[ridx] - S2[ridx];
}

#ifdef STRXLAT_DEMO

#define StrXlatFile  "spanish.tmp"

main()
{
        StrXlat sr;
        sr.add("one uno");
        sr.add("two dos");
        sr.add("three tres");
        sr.add("three wrong");
        sr.save(StrXlatFile);
        sr.allClr();
        sr.load(StrXlatFile);
        cout << "\nCount to three in Spanish: "
                << endl;
        cout << sr["one"] << endl;
        cout << sr["two"] << endl;
        cout << sr["three"] << endl;
        return 0;
}

#endif
